Package com.independentsoft.office.word.fonts

# Enum Class ThemeFont

java.lang.Object
java.lang.Enum<ThemeFont>
com.independentsoft.office.word.fonts.ThemeFont

All Implemented Interfaces:
  `Serializable`, `Comparable<ThemeFont>`, `Constable`

public enum ThemeFont extends Enum<ThemeFont>
The Enum ThemeFont.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MAJOR_ASCII`
  `MAJOR_COMPLEX_SCRIPT`
  `MAJOR_EAST_ASIA`
  `MAJOR_HIGH_ANSI`
  `MINOR_ASCII`
  `MINOR_COMPLEX_SCRIPT`
  `MINOR_EAST_ASIA`
  `MINOR_HIGH_ANSI`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ThemeFont`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ThemeFont[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MAJOR_EAST_ASIA

    public static final ThemeFont MAJOR_EAST_ASIA

  - ### MAJOR_COMPLEX_SCRIPT

    public static final ThemeFont MAJOR_COMPLEX_SCRIPT

  - ### MAJOR_ASCII

    public static final ThemeFont MAJOR_ASCII

  - ### MAJOR_HIGH_ANSI

    public static final ThemeFont MAJOR_HIGH_ANSI

  - ### MINOR_EAST_ASIA

    public static final ThemeFont MINOR_EAST_ASIA

  - ### MINOR_COMPLEX_SCRIPT

    public static final ThemeFont MINOR_COMPLEX_SCRIPT

  - ### MINOR_ASCII

    public static final ThemeFont MINOR_ASCII

  - ### MINOR_HIGH_ANSI

    public static final ThemeFont MINOR_HIGH_ANSI

  - ### NONE

    public static final ThemeFont NONE

- ## Method Details

  - ### values

    public static ThemeFont[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ThemeFont valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null